SVNKit Home

## org.tmatesoft.svn.core
Class SVNRevisionProperty

    java.lang.Object
      org.tmatesoft.svn.core.SVNRevisionProperty

public class SVNRevisionProperty
extends Object

The SVNRevisionProperty class represents revision properties - those unversioned properties supported by Subversion.

Revision properties are unversioned, so there is always a risk to lose information when modifying revision property values.

Version:
  1.1.1
Author:
  TMate Software Ltd.

Field Summary
`static String` `AUTHOR` An "svn:author" revision property (that holds the name of the revision's author).
`static String` `AUTOVERSIONED`
`static String` `CURRENTLY_COPYING` "svn:sync-currently-copying" revision property.
`static String` `DATE` An "svn:date" revision property that is a date & time stamp representing the time when the revision was created.
`static String` `FROM_URL` "svn:sync-from-url" revision property.
`static String` `FROM_UUID` "svn:sync-from-uuid" revision property.
`static String` `LAST_MERGED_REVISION` "svn:sync-last-merged-rev" revision property.
`static String` `LOCK` "svn:sync-lock" revision property.
`static String` `LOG` An "svn:log" revision property - the one that stores a log message attached to a revision during a commit operation.
`static String` `ORIGINAL_DATE`

Constructor Summary
`SVNRevisionProperty()`

Method Summary
`static boolean` `isRevisionProperty(String name)` Says if the given revision property name is really a valid revision property name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AUTHOR

    public static final String AUTHOR

  An "svn:author" revision property (that holds the name of the revision's author).

  See Also:
    Constant Field Values

### LOG

    public static final String LOG

  An "svn:log" revision property - the one that stores a log message attached to a revision during a commit operation.

  See Also:
    Constant Field Values

### DATE

    public static final String DATE

  An "svn:date" revision property that is a date & time stamp representing the time when the revision was created.

  See Also:
    Constant Field Values

### LOCK

    public static final String LOCK

  "svn:sync-lock" revision property.

  Since:
    1.1, new in Subversion 1.4
  See Also:
    Constant Field Values

### FROM_URL

    public static final String FROM_URL

  "svn:sync-from-url" revision property.

  Since:
    1.1, new in Subversion 1.4
  See Also:
    Constant Field Values

### FROM_UUID

    public static final String FROM_UUID

  "svn:sync-from-uuid" revision property.

  Since:
    1.1, new in Subversion 1.4
  See Also:
    Constant Field Values

### LAST_MERGED_REVISION

    public static final String LAST_MERGED_REVISION

  "svn:sync-last-merged-rev" revision property.

  Since:
    1.1, new in Subversion 1.4
  See Also:
    Constant Field Values

### CURRENTLY_COPYING

    public static final String CURRENTLY_COPYING

  "svn:sync-currently-copying" revision property.

  Since:
    1.1, new in Subversion 1.4
  See Also:
    Constant Field Values

### AUTOVERSIONED

    public static final String AUTOVERSIONED

See Also:
  Constant Field Values

### ORIGINAL_DATE

    public static final String ORIGINAL_DATE

See Also:
  Constant Field Values

Constructor Detail

### SVNRevisionProperty

    public SVNRevisionProperty()

Method Detail

### isRevisionProperty

    public static boolean isRevisionProperty(String name)

  Says if the given revision property name is really a valid revision property name.

  Parameters:
    `name` - a property name
  Returns:
    true if it's a revision property name, false otherwise

SVNKit Home

Copyright © 2004-2008 TMate Software Ltd. All Rights Reserved.